Mantis Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0006025OCamlOCaml typingpublic2013-05-30 16:172014-04-04 07:27
Reporterdim 
Assigned Togarrigue 
PrioritylowSeveritytextReproducibilityalways
StatusresolvedResolutionfixed 
PlatformOSOS Version
Product Version4.01.0+dev 
Target Version4.01.1+devFixed in Version4.02.0+dev 
Summary0006025: confusing error message for private row types without a row variable
DescriptionI think that now that OCaml has private type abbreviations this error message is a bit confusing:

  # type t = private [ `a ];;
  Error: This fixed type has no row variable

Precising that private type abbreviations are not allowed for polymorphic variants and objects should be enough.
TagsNo tags attached.
Attached Files

- Relationships

-  Notes
(0009558)
doligez (administrator)
2013-06-19 12:01

Just a note in passing: it is a bad idea to use uncapitalized polymorphic variant constructors. See "polymorphic variant types" in section 6.4 and "tag-name" in section 6.3 of the reference manual.
(0009598)
garrigue (manager)
2013-06-22 09:42

Actually, there is no good reason to refuse create private type abbreviations for fixed polymorphic variants and objects. However, allowing in would require checking a lot of code in the compiler.
(0011223)
garrigue (manager)
2014-04-04 07:27

Since 4.02 private types without a syntactic row variable are handled as private type abbreviations, so the problem disappeared.

- Issue History
Date Modified Username Field Change
2013-05-30 16:17 dim New Issue
2013-06-19 12:01 doligez Note Added: 0009558
2013-06-19 12:01 doligez Status new => acknowledged
2013-06-19 12:01 doligez Target Version => 4.02.0+dev
2013-06-22 09:42 garrigue Note Added: 0009598
2013-06-22 09:42 garrigue Assigned To => garrigue
2013-06-22 09:42 garrigue Status acknowledged => confirmed
2013-07-12 18:15 doligez Target Version 4.02.0+dev => 4.01.1+dev
2014-04-04 07:27 garrigue Note Added: 0011223
2014-04-04 07:27 garrigue Status confirmed => resolved
2014-04-04 07:27 garrigue Fixed in Version => 4.02.0+dev
2014-04-04 07:27 garrigue Resolution open => fixed


Copyright © 2000 - 2011 MantisBT Group
Powered by Mantis Bugtracker